## com.baidubce.services.lss.model
Class CodecOptions

    java.lang.Object
      com.baidubce.services.lss.model.CodecOptions

    public class CodecOptions

extends Object

Constructor Summary
`CodecOptions()`

Method Summary
`String` `getProfile()` baseline, main, high
`void` `setProfile(String profile)`
`String` `toString()`
`CodecOptions` `withProfile(String profile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodecOptions

    public CodecOptions()

Method Detail

### getProfile

    public String getProfile()

  baseline, main, high

### setProfile

    public void setProfile(String profile)

### withProfile

    public CodecOptions withProfile(String profile)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.